<!DOCTYPE html>
<html>
    <head>
        <title>Admin Portal</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
        <style>
			html,
			body,
			header,
			#intro {
				height: 100%;
			}

			#intro {
				background: url("https://wallpapercave.com/wp/Llc6deN.jpg")no-repeat center center fixed;
				-webkit-background-size: cover;
				-moz-background-size: cover;
				-o-background-size: cover;
				background-size: cover;

			}
			.nav-item:hover {
				background-color:black;
			}
            .navbar{background-color: black;}
            #login-section{color:azure}
            .input-group{display:flex; justify-content: center;}
		</style>
    </head>
    <body>
		<!--Main Navigation-->
		<header>

			<!--Navbar-->
			<nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">

				<div class="container">

					<!-- Navbar brand -->
					<a class="navbar-brand" href="./launch.html">Launch</a>

					<!-- Collapse button -->
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
						aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>

					<!-- Collapsible content -->
					<div class="collapse navbar-collapse" id="basicExampleNav">

						<!-- Links -->
						<ul class="navbar-nav mr-auto smooth-scroll">
							<li class="nav-item">
								<a class="nav-link" href="./home.html">Home</a>
							</li>
							<li class="nav-item">
								<a id="admin-portal" class="nav-link" href='./client-account.html'>My Account</a>
							</li>
                            <li class="nav-item">
								<button class="btn btn-outline-light" id="logout-nav-item">Logout</button>
							</li>
						</ul>
						<!-- Links -->

					</div>
					<!-- Collapsible content -->

				</div>

			</nav>
			<!--/.Navbar-->

			<!--Mask-->
			<div id="intro" class="view">

				<div class="mask rgba-black-strong">

					<div class="container-fluid d-flex align-items-center justify-content-center h-100">

						<div class="row d-flex justify-content-center text-center">

							<div class="col-md-10">
                                </br></br></br></br></br></br></br></br>
								<!-- Heading -->
								<h2 class="display-4 font-weight-bold white-text pt-5 mb-2" style="color: white;">Admin Portal</h2>

								<!-- Divider -->
								<hr class="hr-light" style="color: white;">

								<button type="button" class="btn btn-outline-light" onclick="window.location.href='#client-setup'">Functions<i class="fa fa-book ml-2"></i></button>

							</div>

						</div>

					</div>

				</div>

			</div>
			<!--/.Mask-->

		</header>
		<!--Main Navigation-->

		<!--Main layout-->
		<main class="mt-5">
			<div class="container">

				<section id="client-setup" class="text-center">

					<!-- Heading -->
					<h2 class="mb-5 font-weight-bold">Administrator Functions</h2>

                    <div class="btn-group btn-group-lg" role="group" aria-label="Basic outlined example">
                        <button id="data-view-btn" type="button" class="btn btn-outline-dark">Access All Data</button>
                        <button id="assignment-btn" type="button" class="btn btn-outline-dark">Assignments</button>
                        <button id="create-rocket-btn" type="button" class="btn btn-outline-dark">Create Rocket</button>
                    </div>
					</br>

					<div id="error-msg" style="color:red;"></div>
					<div id="success-msg" style="color:green;"></div>

					</br></br>
                        
                    <select id="data-selector" class="form-select form-select-lg mb-3" onchange="checkValue(this.value)" aria-label=".form-select-lg example" hidden>
                        <option selected>Select data to pull from database</option>
                        <option value="1">Users</option>
                        <option value="2">Administrators</option>
                        <option value="3">Commanders</option>
                        <option value="4">Passengers</option>
                        <option value="5">Rockets</option>
                        <option value="6">Launches</option>
                        <option value="7">My Admin Info</option>
                    </select>

					<table id="data-table" class="table table-hover table-striped" hidden>
						<caption>All Database Records</caption>
						

					</table>

					<form id="rocket-info-form" class="row g-3 needs-validation" hidden>               
						<div class="row g-2">
							<div class="col-md">
								<div class="form-floating">
								<input type="text" class="form-control" id="rocketName" placeholder="name@example.com">
								<label for="rocketName">Rocket Name</label>
								<div class="valid-feedback">
									Looks good!
								</div>
								</div>
							</div>
							<div class="col-md">
								<div class="form-floating">
									<input type="number" class="form-control" id="seatCount" placeholder="name@example.com">
									<label for="seatCount">Seat Count</label>
									<div class="valid-feedback">
										Looks good!
									</div>
								</div>
							</div>
						</div>
						<div class="row g-2">
							<div class="col-md">
							<div class="form-floating">
								<input type="number" step=".01" class="form-control" id="seatsAvail" placeholder="name@example.com">
								<label for="seatsAvail">Seats Available</label>
								<div class="valid-feedback">
									Looks good!
								</div>
							</div>
							</div>
							<div class="col-md">
								<div class="form-floating">
								<input type="number" class="form-control" id="seatsFilled" placeholder="name@example.com">
								<label for="seatsFilled">Seats Filled</label>
								<div class="valid-feedback">
									Looks good!
								</div>
								</div>
							</div>
						</div>
						<div id="rocket-error" hidden></div>
						<div class="col-12">
							<button id="rocket-info-submit" class="btn btn-outline-dark" type="submit">Submit New Rocket</button>
						</div>
					</form>

					<form id="rocket-assignment-form" class="row g-3 needs-validation" hidden>               
						<div class="row g-2">
							<div class="col-md">
								<div class="form-floating">
								<input type="number" class="form-control" id="rocketId" placeholder="name@example.com">
								<label for="rocketId">Rocket ID</label>
								<div class="valid-feedback">
									Looks good!
								</div>
								</div>
							</div>
							<div class="col-md">
								<div class="form-floating">
									<input type="number" class="form-control" id="launchId" placeholder="name@example.com">
									<label for="launchId">Launch ID</label>
									<div class="valid-feedback">
										Looks good!
									</div>
								</div>
							</div>
						</div>
						<div class="col-12">
							<button id="rocket-assign-submit" class="btn btn-outline-dark" type="submit">Assign Rocket</button>
						</div>
					</form>

				</section>

				<hr class="my-5">

			</div>
      
		</main>
		<!--Main layout-->
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	    <script src='server-requests.js'></script>
        <script src='admin-portal.js'></script>
	</body>
</html>